summaryrefslogtreecommitdiff
path: root/archive.sh
diff options
context:
space:
mode:
authorTeus Benschop <teusjannette@gmail.com>2017-10-06 12:24:31 +0200
committerTeus Benschop <teusjannette@gmail.com>2017-10-06 12:24:31 +0200
commit90d2181239761f8950b95768d3b037843e9e8b50 (patch)
tree6cc667ab420cc04029de2de7e361d2305e214595 /archive.sh
parent1ea03c0fce8066c1e22188447b4a6ca4dcef1201 (diff)
New upstream version 2.11.0
Diffstat (limited to 'archive.sh')
-rwxr-xr-xarchive.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/archive.sh b/archive.sh
index 00df98b..70a22f1 100755
--- a/archive.sh
+++ b/archive.sh
@@ -1,8 +1,7 @@
#!/bin/sh
FULLNAME="bibletime-$1"
-TARNAME="${FULLNAME}.tar"
-git archive --format=tar "--prefix=${FULLNAME}/" -o "$TARNAME" HEAD && xz -9 "$TARNAME" || exit
-TARXZNAME="${TARNAME}.xz"
+TARXZNAME="${FULLNAME}.tar.xz"
+git archive --format=tar "--prefix=${FULLNAME}/" HEAD | xz -9e > "$TARXZNAME" || exit 1
BYTES=`stat '--format=%s' "$TARXZNAME"`
echo 'Details:'
echo " Filename: ${TARXZNAME}"